package com.community.huiju.controller;
import com.community.commom.constant.Constant;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaAgreement;
import com.community.huiju.model.TaFace;
import com.community.huiju.service.TaFaceServicel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "人脸相关API", description = "人脸相关API")
public class TaFaceController {
    @Autowired
    private TaFaceServicel faceServicel;

    @ApiOperation(value = "添加人脸图片", notes = "添加人脸图片")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "communityId",value = "小区id"),
            @ApiImplicitParam(paramType = "query",dataType = "String",name = "faceImg",value = "上传的图片"),
            @ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token")
    })
    @RequestMapping(value = "/addFace",method = RequestMethod.POST)
    public Object getTaFace(HttpSession session,@RequestParam Integer communityId,
                                @RequestParam String faceImg){
        ResponseBean responseBean = new ResponseBean();
        UserElement userElement = (UserElement) session.getAttribute(Constant.APP_USER_SESSION);
        Integer userId = userElement.getId();
        responseBean = faceServicel.addFace(communityId,faceImg,userId);
        return responseBean;
    }

    @ApiOperation(value = "修改人脸图片", notes = "修改人脸图片")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "communityId",value = "小区id"),
            @ApiImplicitParam(paramType = "query",dataType = "String",name = "faceImg",value = "上传的图片"),
            @ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token")
    })
    @RequestMapping(value = "/upDateFace",method = RequestMethod.PUT)
    public Object upDateTaFace(HttpSession session,@RequestParam Integer communityId,
                                @RequestParam String faceImg
                               ){
        ResponseBean responseBean = new ResponseBean();
        UserElement userElement = (UserElement) session.getAttribute(Constant.APP_USER_SESSION);
        Integer userId = userElement.getId();
         responseBean = faceServicel.upDateFace(communityId,faceImg,userId);
        return responseBean;
    }

}
